%define name wavbreaker
%define version 0.11
%define release 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Gtk+ program to split WAV files between songs
License:	GPLv2+
Group:		Sound
URL:		http://wavbreaker.sf.net/
Source0:	http://downloads.sourceforge.net/wavbreaker/%{name}-%{version}.tar.gz
Patch0:		wavbreaker-0.10-mdv-fix-str-fmt.patch
Suggests:       moodbar
BuildRequires:	gtk+2-devel 
BuildRequires:  libxml2-devel
BuildRequires:  alsa-lib-devel
BuildRequires:	pulseaudio-devel
BuildRequires:	desktop-file-utils
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description
This application's purpose in life is to take a wave file and break it up into
multiple wave files.  It makes a clean break at the correct position to burn
the files to an audio cd without any dead air between the tracks.

%prep
%setup -q
%patch0 -p1 -b .strfmt

%build
%configure2_5x
%make

%install
%makeinstall_std
%find_lang %name

desktop-file-install --vendor="" \
  --add-category="GTK" \
  --add-category="X-MandrivaLinux-Multimedia-Sound" \
  --dir %{buildroot}%{_datadir}/applications \
  %{buildroot}%{_datadir}/applications/*

%files -f %name.lang
%doc AUTHORS README ChangeLog NEWS
%_bindir/*
%_datadir/applications/*
%_datadir/pixmaps/*
%_iconsdir/hicolor/16x16/apps/%name.png
%_iconsdir/hicolor/22x22/apps/%name.png
%_iconsdir/hicolor/24x24/apps/%name.png
%_iconsdir/hicolor/48x48/apps/%name.png
%_iconsdir/hicolor/scalable/apps/%name.svg
%_mandir/man1/*


%changelog
* Wed Feb 15 2012 Alexander Khrukin <akhrukin@mandriva.org> 0.11-1
+ Revision: 774391
- version update 0.11

* Wed Dec 08 2010 Oden Eriksson <oeriksson@mandriva.com> 0.10-3mdv2011.0
+ Revision: 615433
- the mass rebuild of 2010.1 packages

* Fri Dec 04 2009 Jérôme Brenier <incubusss@mandriva.org> 0.10-2mdv2010.1
+ Revision: 473422
- fix str fmt

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Sun Nov 02 2008 Funda Wang <fwang@mandriva.org> 0.10-1mdv2009.1
+ Revision: 299262
- New version 0.10

* Sun Aug 03 2008 Thierry Vignaud <tv@mandriva.org> 0.9-4mdv2009.0
+ Revision: 261920
- rebuild

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 0.9-3mdv2009.0
+ Revision: 255834
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Thu Feb 21 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.9-1mdv2008.1
+ Revision: 173685
- Changes from Jos?\195?\169 Jorge (lists.jjorge@free.fr):
- new version
- fix URL
- suggest moodbar

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat May 19 2007 Austin Acton <austin@mandriva.org> 0.8.0-1mdv2008.0
+ Revision: 28512
- new version
- add man page
- compy with XDG menu and FDO icons
- Import wavbreaker

